Bug 863017 - [abrt] man-db-2.6.0.2-8.fc17: exit@plt: Process /usr/bin/mandb was killed by signal 11 (SIGSEGV)
[abrt] man-db-2.6.0.2-8.fc17: exit@plt: Process /usr/bin/mandb was killed by ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: man-db (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
abrt_hash:62a44dece1b5ca0245d52c6fd43...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 04:44 EDT by Demian Lee
Modified: 2012-11-06 05:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 05:05:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (1.24 KB, text/plain)
2012-10-04 04:44 EDT, Demian Lee
no flags Details
File: environ (158 bytes, text/plain)
2012-10-04 04:44 EDT, Demian Lee
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-04 04:44 EDT, Demian Lee
no flags Details
File: backtrace (6.98 KB, text/plain)
2012-10-04 04:44 EDT, Demian Lee
no flags Details
File: cgroup (128 bytes, text/plain)
2012-10-04 04:44 EDT, Demian Lee
no flags Details
File: maps (3.45 KB, text/plain)
2012-10-04 04:44 EDT, Demian Lee
no flags Details
File: dso_list (664 bytes, text/plain)
2012-10-04 04:44 EDT, Demian Lee
no flags Details
File: open_fds (306 bytes, text/plain)
2012-10-04 04:44 EDT, Demian Lee
no flags Details
File: var_log_messages (311 bytes, text/plain)
2012-10-04 04:44 EDT, Demian Lee
no flags Details
mandb.log (5.76 MB, application/octet-stream)
2012-10-29 01:36 EDT, Demian Lee
no flags Details

  None (edit)
Description Demian Lee 2012-10-04 04:44:04 EDT
Version-Release number of selected component:
man-db-2.6.0.2-8.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        mandb -q
crash_function: exit@plt
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 exit@plt at /lib64/libpipeline.so.1
: #1 pipecmd_exec at pipeline.c:725
: #2 pipeline_start at pipeline.c:1490
: #3 ult_src at ult_src.c:327
: #4 test_manfile at check_mandirs.c:240
: #5 add_dir_entries at check_mandirs.c:346
: #6 testmandirs at check_mandirs.c:510
: #7 create_db at check_mandirs.c:597
: #8 update_db_wrapper at mandb.c:362
: #9 mandb at mandb.c:489
Comment 1 Demian Lee 2012-10-04 04:44:07 EDT
Created attachment 621441 [details]
File: core_backtrace
Comment 2 Demian Lee 2012-10-04 04:44:09 EDT
Created attachment 621442 [details]
File: environ
Comment 3 Demian Lee 2012-10-04 04:44:11 EDT
Created attachment 621443 [details]
File: limits
Comment 4 Demian Lee 2012-10-04 04:44:14 EDT
Created attachment 621444 [details]
File: backtrace
Comment 5 Demian Lee 2012-10-04 04:44:16 EDT
Created attachment 621445 [details]
File: cgroup
Comment 6 Demian Lee 2012-10-04 04:44:18 EDT
Created attachment 621446 [details]
File: maps
Comment 7 Demian Lee 2012-10-04 04:44:20 EDT
Created attachment 621447 [details]
File: dso_list
Comment 8 Demian Lee 2012-10-04 04:44:22 EDT
Created attachment 621448 [details]
File: open_fds
Comment 9 Demian Lee 2012-10-04 04:44:24 EDT
Created attachment 621449 [details]
File: var_log_messages
Comment 10 Peter Schiffer 2012-10-22 07:16:17 EDT
Hi Demian,

please, are you able to reproduce this bug? Does it happen when you run:
# mandb -c

Thanks,

peter
Comment 11 Demian Lee 2012-10-25 00:21:12 EDT
first run:

# mandb -c
Processing manual pages under /usr/share/man...
Updating index cache for path `/usr/share/man/man3'. Wait...mandb: warning: /usr/share/man/man3/DateTime::Format::Builder.3pm.gz: whatis parse for DateTime::Format::Builder(3pm) failed
mandb: warning: /usr/share/man/man3/Attribute::Params::Validate.3pm.gz: whatis parse for Attribute::Params::Validate(3pm) failed
*** glibc detected *** mandb: free(): invalid next size (fast): 0x00000000011e0f50 ***
======= Backtrace: =========
/lib64/libc.so.6[0x32c587bfee]
mandb[0x40da08]
mandb[0x403fe7]
mandb[0x40448f]
mandb[0x404b2c]
mandb[0x409d9b]
mandb[0x40a24b]
mandb[0x40354f]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x32c5821735]
mandb[0x403865]
======= Memory map: ========
00400000-0041c000 r-xp 00000000 fd:01 1978109                            /usr/bin/mandb
0061b000-0061c000 r--p 0001b000 fd:01 1978109                            /usr/bin/mandb
0061c000-0061d000 rw-p 0001c000 fd:01 1978109                            /usr/bin/mandb
0061d000-00620000 rw-p 00000000 00:00 0 
0081c000-0081e000 rw-p 0001c000 fd:01 1978109                            /usr/bin/mandb
010b5000-0128c000 rw-p 00000000 00:00 0                                  [heap]
32c5400000-32c5420000 r-xp 00000000 fd:01 1986912                        /usr/lib64/ld-2.15.so
32c561f000-32c5620000 r--p 0001f000 fd:01 1986912                        /usr/lib64/ld-2.15.so
32c5620000-32c5621000 rw-p 00020000 fd:01 1986912                        /usr/lib64/ld-2.15.so
32c5621000-32c5622000 rw-p 00000000 00:00 0 
32c5800000-32c59ac000 r-xp 00000000 fd:01 1987455                        /usr/lib64/libc-2.15.so
32c59ac000-32c5bac000 ---p 001ac000 fd:01 1987455                        /usr/lib64/libc-2.15.so
32c5bac000-32c5bb0000 r--p 001ac000 fd:01 1987455                        /usr/lib64/libc-2.15.so
32c5bb0000-32c5bb2000 rw-p 001b0000 fd:01 1987455                        /usr/lib64/libc-2.15.so
32c5bb2000-32c5bb7000 rw-p 00000000 00:00 0 
32c5c00000-32c5c0c000 r-xp 00000000 fd:01 1977827                        /usr/lib64/libpipeline.so.1.2.0
32c5c0c000-32c5e0c000 ---p 0000c000 fd:01 1977827                        /usr/lib64/libpipeline.so.1.2.0
32c5e0c000-32c5e0d000 rw-p 0000c000 fd:01 1977827                        /usr/lib64/libpipeline.so.1.2.0
32c6000000-32c601d000 r-xp 00000000 fd:01 1970355                        /usr/lib64/man-db/libman-2.6.0.2.so
32c601d000-32c621c000 ---p 0001d000 fd:01 1970355                        /usr/lib64/man-db/libman-2.6.0.2.so
32c621c000-32c621d000 r--p 0001c000 fd:01 1970355                        /usr/lib64/man-db/libman-2.6.0.2.so
32c621d000-32c621f000 rw-p 0001d000 fd:01 1970355                        /usr/lib64/man-db/libman-2.6.0.2.so
32c6400000-32c6407000 r-xp 00000000 fd:01 1971895                        /usr/lib64/libgdbm.so.4.0.0
32c6407000-32c6607000 ---p 00007000 fd:01 1971895                        /usr/lib64/libgdbm.so.4.0.0
32c6607000-32c6608000 r--p 00007000 fd:01 1971895                        /usr/lib64/libgdbm.so.4.0.0
32c6608000-32c6609000 rw-p 00008000 fd:01 1971895                        /usr/lib64/libgdbm.so.4.0.0
32c6800000-32c6805000 r-xp 00000000 fd:01 1967865                        /usr/lib64/man-db/libmandb-2.6.0.2.so
32c6805000-32c6a04000 ---p 00005000 fd:01 1967865                        /usr/lib64/man-db/libmandb-2.6.0.2.so
32c6a04000-32c6a05000 r--p 00004000 fd:01 1967865                        /usr/lib64/man-db/libmandb-2.6.0.2.so
32c6a05000-32c6a06000 rw-p 00005000 fd:01 1967865                        /usr/lib64/man-db/libmandb-2.6.0.2.so
32c6c00000-32c6c17000 r-xp 00000000 fd:01 1987457                        /usr/lib64/libz.so.1.2.5
32c6c17000-32c6e16000 ---p 00017000 fd:01 1987457                        /usr/lib64/libz.so.1.2.5
32c6e16000-32c6e17000 rw-p 00016000 fd:01 1987457                        /usr/lib64/libz.so.1.2.5
32c7400000-32c7415000 r-xp 00000000 fd:01 1987463                        /usr/lib64/libgcc_s-4.7.2-20120921.so.1
32c7415000-32c7614000 ---p 00015000 fd:01 1987463                        /usr/lib64/libgcc_s-4.7.2-20120921.so.1
32c7614000-32c7615000 rw-p 00014000 fd:01 1987463                        /usr/lib64/libgcc_s-4.7.2-20120921.so.1
7fc1f4115000-7fc1f4116000 rw-p 00000000 00:00 0 
7fc1f4116000-7fc1f419a000 rw-s 00000000 fd:01 1835297                    /var/cache/man/2203
7fc1f419a000-7fc1fa5c7000 r--p 00000000 fd:01 1966839                    /usr/lib/locale/locale-archive
7fc1fa5c7000-7fc1fa5cb000 rw-p 00000000 00:00 0 
7fc1fa5d7000-7fc1fa5de000 r--s 00000000 fd:01 2098113                    /usr/lib64/gconv/gconv-modules.cache
7fc1fa5e9000-7fc1fa5ec000 rw-p 00000000 00:00 0 
7fff3807e000-7fff3809f000 rw-p 00000000 00:00 0                          [stack]
7fff38151000-7fff38152000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted (core dumped)
Comment 12 Demian Lee 2012-10-25 00:22:16 EDT
second run:

 mandb -c
Processing manual pages under /usr/share/man...
Updating index cache for path `/usr/share/man/man3'. Wait...mandb: warning: /usr/share/man/man3/DateTime::Format::Builder.3pm.gz: whatis parse for DateTime::Format::Builder(3pm) failed
mandb: warning: /usr/share/man/man3/Attribute::Params::Validate.3pm.gz: whatis parse for Attribute::Params::Validate(3pm) failed
mandb: warning: /usr/share/man/man3/DateTime::Locale::ar_SD.3pm.gz: whatis parse for DateTime::Locale::ar_SD(3pm) failed
mandb: warning: /usr/share/man/man3/Coro::Intro.3pm.gz: whatis parse for Coro::Intro(3pm) failed
Updating index cache for path `/usr/share/man/man1'. Wait...mandb: warning: /usr/share/man/man1/swfrender.1.gz: whatis parse for swfrender(1) failed
mandb: warning: /usr/share/man/man1/faxformat.1.gz: whatis parse for faxformat(1) failed
mandb: warning: /usr/share/man/man1/col.1.gz: whatis parse for col(1) failed
Updating index cache for path `/usr/share/man/man5x'. Wait...done.
Checking for stray cats under /usr/share/man...
Checking for stray cats under /var/cache/man...
Processing manual pages under /usr/share/man/en...
Updating index cache for path `/usr/share/man/en/man2'. Wait...done.
Checking for stray cats under /usr/share/man/en...
Checking for stray cats under /var/cache/man/en...
Processing manual pages under /usr/share/man/pt_BR...
Updating index cache for path `/usr/share/man/pt_BR/man8'. Wait...done.
Checking for stray cats under /usr/share/man/pt_BR...
Checking for stray cats under /var/cache/man/pt_BR...
Processing manual pages under /usr/share/man/id...
Updating index cache for path `/usr/share/man/id/man8'. Wait...done.
Checking for stray cats under /usr/share/man/id...
Checking for stray cats under /var/cache/man/id...
Processing manual pages under /usr/share/man/zh_TW...
Updating index cache for path `/usr/share/man/zh_TW/man1'. Wait...mandb: warning: /usr/share/man/zh_TW/man1/dcraw.1.gz: whatis parse for dcraw(1) failed
Updating index cache for path `/usr/share/man/zh_TW/man8'. Wait...done.
Checking for stray cats under /usr/share/man/zh_TW...
Checking for stray cats under /var/cache/man/zh_TW...
Processing manual pages under /usr/share/man/uk...
Updating index cache for path `/usr/share/man/uk/man8'. Wait...done.
Checking for stray cats under /usr/share/man/uk...
Checking for stray cats under /var/cache/man/uk...
Processing manual pages under /usr/share/man/nl...
Updating index cache for path `/usr/share/man/nl/man1'. Wait...done.
Checking for stray cats under /usr/share/man/nl...
Checking for stray cats under /var/cache/man/nl...
Processing manual pages under /usr/share/man/sv...
Updating index cache for path `/usr/share/man/sv/man8'. Wait...done.
Checking for stray cats under /usr/share/man/sv...
Checking for stray cats under /var/cache/man/sv...
Processing manual pages under /usr/share/man/de...
Updating index cache for path `/usr/share/man/de/man8'. Wait...done.
Checking for stray cats under /usr/share/man/de...
Checking for stray cats under /var/cache/man/de...
Processing manual pages under /usr/share/man/ja...
Updating index cache for path `/usr/share/man/ja/man8'. Wait...done.
Checking for stray cats under /usr/share/man/ja...
Checking for stray cats under /var/cache/man/ja...
Processing manual pages under /usr/share/man/tr...
Updating index cache for path `/usr/share/man/tr/man8'. Wait...done.
Checking for stray cats under /usr/share/man/tr...
Checking for stray cats under /var/cache/man/tr...
Processing manual pages under /usr/share/man/ca...
Updating index cache for path `/usr/share/man/ca/man1'. Wait...done.
Checking for stray cats under /usr/share/man/ca...
Checking for stray cats under /var/cache/man/ca...
Processing manual pages under /usr/share/man/es...
Updating index cache for path `/usr/share/man/es/man8'. Wait...done.
Checking for stray cats under /usr/share/man/es...
Checking for stray cats under /var/cache/man/es...
Processing manual pages under /usr/share/man/ru...
Updating index cache for path `/usr/share/man/ru/man6'. Wait...done.
Checking for stray cats under /usr/share/man/ru...
Checking for stray cats under /var/cache/man/ru...
Processing manual pages under /usr/share/man/hu...
Updating index cache for path `/usr/share/man/hu/man8'. Wait...done.
Checking for stray cats under /usr/share/man/hu...
Checking for stray cats under /var/cache/man/hu...
Processing manual pages under /usr/share/man/pl...
Updating index cache for path `/usr/share/man/pl/man8'. Wait...done.
Checking for stray cats under /usr/share/man/pl...
Checking for stray cats under /var/cache/man/pl...
Processing manual pages under /usr/share/man/cs...
Updating index cache for path `/usr/share/man/cs/man8'. Wait...done.
Checking for stray cats under /usr/share/man/cs...
Checking for stray cats under /var/cache/man/cs...
Processing manual pages under /usr/share/man/da...
Updating index cache for path `/usr/share/man/da/man1'. Wait...done.
Checking for stray cats under /usr/share/man/da...
Checking for stray cats under /var/cache/man/da...
Processing manual pages under /usr/share/man/sk...
Updating index cache for path `/usr/share/man/sk/man8'. Wait...done.
Checking for stray cats under /usr/share/man/sk...
Checking for stray cats under /var/cache/man/sk...
Processing manual pages under /usr/share/man/ko...
Updating index cache for path `/usr/share/man/ko/man8'. Wait...done.
Checking for stray cats under /usr/share/man/ko...
Checking for stray cats under /var/cache/man/ko...
Processing manual pages under /usr/share/man/eo...
Updating index cache for path `/usr/share/man/eo/man1'. Wait...mandb: warning: /usr/share/man/eo/man1/dcraw.1.gz: whatis parse for dcraw(1) failed
done.
Checking for stray cats under /usr/share/man/eo...
Checking for stray cats under /var/cache/man/eo...
Processing manual pages under /usr/share/man/it...
Updating index cache for path `/usr/share/man/it/man8'. Wait...done.
Checking for stray cats under /usr/share/man/it...
Checking for stray cats under /var/cache/man/it...
Processing manual pages under /usr/share/man/pt...
Updating index cache for path `/usr/share/man/pt/man8'. Wait...done.
Checking for stray cats under /usr/share/man/pt...
Checking for stray cats under /var/cache/man/pt...
Processing manual pages under /usr/share/man/zh_CN...
Updating index cache for path `/usr/share/man/zh_CN/man1'. Wait...mandb: warning: /usr/share/man/zh_CN/man1/dcraw.1.gz: whatis parse for dcraw(1) failed
Updating index cache for path `/usr/share/man/zh_CN/man8'. Wait...done.
Checking for stray cats under /usr/share/man/zh_CN...
Checking for stray cats under /var/cache/man/zh_CN...
Processing manual pages under /usr/share/man/fr...
Updating index cache for path `/usr/share/man/fr/man8'. Wait...done.
Checking for stray cats under /usr/share/man/fr...
Checking for stray cats under /var/cache/man/fr...
Processing manual pages under /usr/share/man/sr...
Updating index cache for path `/usr/share/man/sr/man1'. Wait...done.
Checking for stray cats under /usr/share/man/sr...
Checking for stray cats under /var/cache/man/sr...
Processing manual pages under /usr/local/share/man...
Updating index cache for path `/usr/local/share/man/man5x'. Wait...done.
Checking for stray cats under /usr/local/share/man...
Checking for stray cats under /var/cache/man/local...
106 man subdirectories contained newer manual pages.
11388 manual pages were added.
0 stray cats were added.
Comment 13 Peter Schiffer 2012-10-25 06:13:30 EDT
Thanks Demian.

Hmm. This looks different from the original post. Please, could you do the following?

1) update man-db from the testing repository:
# su -c 'yum update --enablerepo=updates-testing man-db-2.6.0.2-9.fc17'

2) try to reproduce the bug with:
# mandb -cd &> mandb.log

3) if the bug occurs, please attach mandb.log file and core dump.

Thanks!

peter
Comment 14 Demian Lee 2012-10-29 01:36:21 EDT
Created attachment 634876 [details]
mandb.log
Comment 15 Peter Schiffer 2012-10-30 05:54:45 EDT
Hi Demian,

in the attached log mandb command completed successfully.. So you aren't able to reproduce the bug with the updated man-db package?

peter
Comment 16 Demian Lee 2012-11-05 23:26:56 EST
Hi,

apparently this update helped because such an error is no longer detected
Comment 17 Peter Schiffer 2012-11-06 05:05:54 EST
Great. Thanks for the cooperation.

Note You need to log in before you can comment on or make changes to this bug.